from os import system, name, get_terminal_size as gts
from sys import stdout
from time import sleep

class System:

    Windows = name == 'nt'
    
    def Clear():
        return system('cls' if System.Windows else 'clear')
    
    def Title(title : str):
        if System.Windows:
            return system(f'title {title}')
        
    def Size(l: int, w : int):
        if System.Windows:
            return system(f'mode {l}, {w}')
        
    def Command(command : str):
        return system(command)
    
class Write:

    def Type(text : str, delay : int = 0.03):
        for _ in text:
            stdout.write(_)
            stdout.flush()
            sleep(delay)
        stdout.write("\n")

class Center:

    @staticmethod
    def center_text(text: str, width: int = None):
        if not width:
            width = gts().columns
        text_width = len(text)
        padding_width = (width - text_width) // 2
        padding = ' ' * padding_width
        return f'{padding}{text}{padding}'